# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Uniform Struct Reference

VLX wrapper of vl::Uniform. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Uniform:

List of all members.

## Public Member Functions

void | importUniform (VLXSerializer &s, const VLXStructure *vlx, Uniform *uniform)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportUniform (const Uniform *uniform, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Uniform.

Definition at line 1319 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Uniform::importUniform | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Uniform * | uniform
| ) |  | `[inline]`

Definition at line 1321 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayInteger, vl::VLXValue::ArrayReal, vl::VLXArrayTemplate< T >::copyTo(), vl::Log::error(), vl::VLXValue::getArrayInteger(), vl::VLXValue::getArrayReal(), vl::VLXValue::getIdentifier(), vl::VLXValue::getInteger(), vl::VLXValue::getReal(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXValue::Integer, vl::VLXTaggedValue::lineNumber(), vl::Uniform::name(), NULL, vl::Uniform::setName(), vl::Uniform::setUniform1d(), vl::Uniform::setUniform1f(), vl::Uniform::setUniform1i(), vl::Uniform::setUniform1ui(), vl::Uniform::setUniform2d(), vl::Uniform::setUniform2f(), vl::Uniform::setUniform2i(), vl::Uniform::setUniform2ui(), vl::Uniform::setUniform3d(), vl::Uniform::setUniform3f(), vl::Uniform::setUniform3i(), vl::Uniform::setUniform3ui(), vl::Uniform::setUniform4d(), vl::Uniform::setUniform4f(), vl::Uniform::setUniform4i(), vl::Uniform::setUniform4ui(), vl::Uniform::setUniformMatrix2d(), vl::Uniform::setUniformMatrix2f(), vl::Uniform::setUniformMatrix2x3d(), vl::Uniform::setUniformMatrix2x3f(), vl::Uniform::setUniformMatrix2x4d(), vl::Uniform::setUniformMatrix2x4f(), vl::Uniform::setUniformMatrix3d(), vl::Uniform::setUniformMatrix3f(), vl::Uniform::setUniformMatrix3x2d(), vl::Uniform::setUniformMatrix3x2f(), vl::Uniform::setUniformMatrix3x4d(), vl::Uniform::setUniformMatrix3x4f(), vl::Uniform::setUniformMatrix4d(), vl::Uniform::setUniformMatrix4f(), vl::Uniform::setUniformMatrix4x2d(), vl::Uniform::setUniformMatrix4x2f(), vl::Uniform::setUniformMatrix4x3d(), vl::Uniform::setUniformMatrix4x3f(), vl::VLXSerializer::signalImportError(), vl::VLXValue::type(), vl::UT_DOUBLE, vl::UT_DOUBLE_MAT2, vl::UT_DOUBLE_MAT2x3, vl::UT_DOUBLE_MAT2x4, vl::UT_DOUBLE_MAT3, vl::UT_DOUBLE_MAT3x2, vl::UT_DOUBLE_MAT3x4, vl::UT_DOUBLE_MAT4, vl::UT_DOUBLE_MAT4x2, vl::UT_DOUBLE_MAT4x3, vl::UT_DOUBLE_VEC2, vl::UT_DOUBLE_VEC3, vl::UT_DOUBLE_VEC4, vl::UT_FLOAT, vl::UT_FLOAT_MAT2, vl::UT_FLOAT_MAT2x3, vl::UT_FLOAT_MAT2x4, vl::UT_FLOAT_MAT3, vl::UT_FLOAT_MAT3x2, vl::UT_FLOAT_MAT3x4, vl::UT_FLOAT_MAT4, vl::UT_FLOAT_MAT4x2, vl::UT_FLOAT_MAT4x3, vl::UT_FLOAT_VEC2, vl::UT_FLOAT_VEC3, vl::UT_FLOAT_VEC4, vl::UT_INT, vl::UT_INT_VEC2, vl::UT_INT_VEC3, vl::UT_INT_VEC4, vl::UT_NONE, vl::UT_UNSIGNED_INT, vl::UT_UNSIGNED_INT_VEC2, vl::UT_UNSIGNED_INT_VEC3, vl::UT_UNSIGNED_INT_VEC4, vl::VLXArrayTemplate< T >::value(), VL_CHECK, vl::vlx_EUniformType(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Uniform::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1536 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importUniform(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Uniform::exportUniform | ( | const Uniform * | uniform,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1545 of file VLXWrappers.hpp.

References vl::Uniform::count(), vl::Log::error(), vl::ref< T >::get(), vl::Uniform::getUniform(), vl::Uniform::name(), vl::Uniform::rawData(), vl::Uniform::type(), vl::UT_DOUBLE, vl::UT_DOUBLE_MAT2, vl::UT_DOUBLE_MAT2x3, vl::UT_DOUBLE_MAT2x4, vl::UT_DOUBLE_MAT3, vl::UT_DOUBLE_MAT3x2, vl::UT_DOUBLE_MAT3x4, vl::UT_DOUBLE_MAT4, vl::UT_DOUBLE_MAT4x2, vl::UT_DOUBLE_MAT4x3, vl::UT_DOUBLE_VEC2, vl::UT_DOUBLE_VEC3, vl::UT_DOUBLE_VEC4, vl::UT_FLOAT, vl::UT_FLOAT_MAT2, vl::UT_FLOAT_MAT2x3, vl::UT_FLOAT_MAT2x4, vl::UT_FLOAT_MAT3, vl::UT_FLOAT_MAT3x2, vl::UT_FLOAT_MAT3x4, vl::UT_FLOAT_MAT4, vl::UT_FLOAT_MAT4x2, vl::UT_FLOAT_MAT4x3, vl::UT_FLOAT_VEC2, vl::UT_FLOAT_VEC3, vl::UT_FLOAT_VEC4, vl::UT_INT, vl::UT_INT_VEC2, vl::UT_INT_VEC3, vl::UT_INT_VEC4, vl::UT_NONE, vl::UT_UNSIGNED_INT, vl::UT_UNSIGNED_INT_VEC2, vl::UT_UNSIGNED_INT_VEC3, vl::UT_UNSIGNED_INT_VEC4, vl::vlx_EUniformType(), and vl::vlx_Identifier().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Uniform::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1639 of file VLXWrappers.hpp.

References vl::Object::as(), exportUniform(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.